/**
 * GENERALS
 * */





:root {
    --vz-font-family-primary: "Altform", sans-serif;
    --vz-blue: #32ccff;
    --vz-indigo: #516196;
    --vz-purple: #8772f9;
    --vz-pink: #f672a7;
    --vz-red: #f06548;
    --vz-orange: #f1963b;
    --vz-yellow: #ffbc0a;
    --vz-green: #441FD6;
    --vz-teal: #02a8b5;
    --vz-cyan: #441fd6;
    --vz-white: #fff;
    --vz-gray: #878a99;
    --vz-gray-dark: #343a40;
    --vz-gray-100: #f3f6f9;
    --vz-gray-200: #eff2f7;
    --vz-gray-300: #e9ebec;
    --vz-gray-400: #ced4da;
    --vz-gray-500: #adb5bd;
    --vz-gray-600: #878a99;
    --vz-gray-700: #495057;
    --vz-gray-800: #343a40;
    --vz-gray-900: #212529;
    --vz-primary: #441FD6;
    --vz-secondary: #878a99;
    --vz-success: #441FD6;
    --vz-info: #A694F0;
    --vz-warning: #ffbc0a;
    --vz-danger: #f06548;
    --vz-light: rgb(239, 241, 255);
    --vz-dark: #343a40;
    --vz-light-grey:#f8f9ff;
    --vz-primary-rgb: 68, 31, 214;
    --vz-secondary-rgb: 135, 138, 153;
    --vz-success-rgb: 0, 189, 157;
    --vz-info-rgb: 166, 148, 240;
    --vz-warning-rgb: 255, 188, 10;
    --vz-danger-rgb: 240, 101, 72;
    --vz-light-rgb: 239, 241, 255;
    --vz-dark-rgb: 52, 58, 64;
    --vz-primary-text-emphasis: rgba(68, 31, 214, .6);
    --vz-secondary-text-emphasis: #737582;
    --vz-success-text-emphasis: #A694F0;
    --vz-info-text-emphasis: #A694F0;
    --vz-warning-text-emphasis: #d9a009;
    --vz-danger-text-emphasis: #cc563d;
    --vz-light-text-emphasis: #ced4da;
    --vz-dark-text-emphasis: #343a40;
    --vz-primary-bg-subtle: #eff1ff;
    --vz-secondary-bg-subtle: #ededf0;
    --vz-success-bg-subtle: #d9f5f0;
    --vz-info-bg-subtle: #EFF1FF;
    --vz-warning-bg-subtle: #fff5da;
    --vz-danger-bg-subtle: #fde8e4;
    --vz-light-bg-subtle: #f9fbfc;
    --vz-dark-bg-subtle: #e9ebec;
    --vz-primary-border-subtle: #a8d9f3;
    --vz-secondary-border-subtle: #cfd0d6;
    --vz-success-border-subtle: #99e5d8;
    --vz-info-border-subtle: #a694f0;
    --vz-warning-border-subtle: #ffe49d;
    --vz-danger-border-subtle: #f9c1b6;
    --vz-light-border-subtle: #eff2f7;
    --vz-dark-border-subtle: #adb5bd;
    --vz-white-rgb: 255, 255, 255;
    --vz-black-rgb: 0, 0, 0;
    --vz-font-sans-serif: "Altform", sans-serif;
    --vz-font-monospace: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
    --vz-gradient: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
    --vz-body-font-family: var(--vz-font-sans-serif);
    --vz-body-font-size: 0.875rem;
    --vz-body-font-weight: 400;
    --vz-body-line-height: 1.5;
    --vz-body-color: #212529;
    --vz-body-color-rgb: 33, 37, 41;
    --vz-body-bg: #EFF1FF;
    --vz-body-bg-rgb: 255, 255, 255;
    --vz-emphasis-color: #212529;
    --vz-emphasis-color-rgb: 33, 37, 41;
    --vz-secondary-color: #878a99;
    --vz-secondary-color-rgb: 135, 138, 153;
    --vz-secondary-bg: #fff;
    --vz-secondary-bg-rgb: 255, 255, 255;
    --vz-tertiary-color: rgba(33, 37, 41, 0.5);
    --vz-tertiary-color-rgb: 33, 37, 41;
    --vz-tertiary-bg: #e9ebec;
    --vz-tertiary-bg-rgb: 233, 235, 236;
    --vz-heading-color: #220F6B;
    --vz-link-color: #A694F0;
    --vz-link-color-rgb: 166, 148, 240;
    --vz-link-decoration: none;
    --vz-link-hover-color: #441fd6;
    --vz-link-hover-color-rgb: 68, 31, 214;
    --vz-code-color: #f672a7;
    --vz-highlight-color: #212529;
    --vz-highlight-bg: #fcf8e3;
    --vz-border-width: 1px;
    --vz-border-style: solid;
    --vz-border-color: #e9ebec;
    --vz-border-color-translucent: #ced4da;
    --vz-border-radius: 0.25rem;
    --vz-border-radius-sm: 0.2rem;
    --vz-border-radius-lg: 0.3rem;
    --vz-border-radius-xl: 1rem;
    --vz-border-radius-xxl: 2rem;
    --vz-border-radius-2xl: var(--vz-border-radius-xxl);
    --vz-border-radius-pill: 50rem;
    --vz-box-shadow: 0 1px 2px rgba(56, 65, 74, 0.15);
    --vz-box-shadow-sm: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    --vz-box-shadow-lg: 0 5px 10px rgba(30, 32, 37, 0.12);
    --vz-box-shadow-inset: inset 0 1px 2px rgba(0, 0, 0, 0.075);
    --vz-focus-ring-width: 0.25rem;
    --vz-focus-ring-opacity: 0.25;
    --vz-focus-ring-color: rgba(var(--vz-primary-rgb), 0.25);
    --vz-form-valid-color: #441FD6;
    --vz-form-valid-border-color: #441FD6;
    --vz-form-invalid-color: #f06548;
    --vz-form-invalid-border-color: #f06548;
}
[data-bs-theme="dark"] {
    color-scheme: dark;
    --vz-body-color: #ced4da;
    --vz-body-color-rgb: 206, 212, 218;
    --vz-body-bg: #1a1d21;
    --vz-body-bg-rgb: 26, 29, 33;
    --vz-emphasis-color: #fff;
    --vz-emphasis-color-rgb: 255, 255, 255;
    --vz-secondary-color: #878a99;
    --vz-secondary-color-rgb: 135, 138, 153;
    --vz-secondary-bg: #212529;
    --vz-secondary-bg-rgb: 33, 37, 41;
    --vz-tertiary-color: rgba(206, 212, 218, 0.75);
    --vz-tertiary-color-rgb: 206, 212, 218;
    --vz-tertiary-bg: #2a2d31;
    --vz-tertiary-bg-rgb: 42, 45, 49;
    --vz-primary-text-emphasis: #51b3e8;
    --vz-secondary-text-emphasis: #9fa1ad;
    --vz-success-text-emphasis: #33cab1;
    --vz-info-text-emphasis: #5bd6ff;
    --vz-warning-text-emphasis: #ffc93b;
    --vz-danger-text-emphasis: #f3846d;
    --vz-light-text-emphasis: #535659;
    --vz-dark-text-emphasis: #5f6164;
    --vz-primary-bg-subtle: rgba(37, 160, 226, 0.15);
    --vz-secondary-bg-subtle: rgba(135, 138, 153, 0.15);
    --vz-success-bg-subtle: rgba(0, 189, 157, 0.15);
    --vz-info-bg-subtle: rgba(50, 204, 255, 0.15);
    --vz-warning-bg-subtle: rgba(255, 188, 10, 0.15);
    --vz-danger-bg-subtle: rgba(240, 101, 72, 0.15);
    --vz-light-bg-subtle: #25282c;
    --vz-dark-bg-subtle: #313437;
    --vz-primary-border-subtle: #186893;
    --vz-secondary-border-subtle: #44454d;
    --vz-success-border-subtle: #005f4f;
    --vz-info-border-subtle: #196680;
    --vz-warning-border-subtle: #805e05;
    --vz-danger-border-subtle: #783324;
    --vz-light-border-subtle: #35383c;
    --vz-dark-border-subtle: #3c3f42;
    --vz-heading-color: #ced4da;
    --vz-link-color: #d3ecf9;
    --vz-link-hover-color: #dcf0fa;
    --vz-link-color-rgb: 211, 236, 249;
    --vz-link-hover-color-rgb: 220, 240, 250;
    --vz-code-color: #f672a7;
    --vz-highlight-color: #ced4da;
    --vz-highlight-bg: #664b04;
    --vz-border-color: #32383e;
    --vz-border-color-translucent: #32383e;
    --vz-form-valid-color: #33cab1;
    --vz-form-valid-border-color: #33cab1;
    --vz-form-invalid-color: #f3846d;
    --vz-form-invalid-border-color: #f3846d;
}


.table-light {
    --vz-table-color: #000;
    --vz-table-bg: #f8f9ff;
    --vz-table-border-color: #dbdde0;
    --vz-table-striped-bg: #eef1f4;
    --vz-table-striped-color: #000;
    --vz-table-active-bg: #e9ecef;
    --vz-table-active-color: #000;
    --vz-table-hover-bg: #e9ecef;
    --vz-table-hover-color: #000;
    color: var(--vz-table-color);
    border-color: var(--vz-table-border-color);
}


/* VARIE */

.form-check-input:checked {
    background-color: #441fd6;
    border-color: #441fd6;
}

.link_veloci.dropdown-toggle::after{margin:0}


.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {font-family: "Altform", sans-serif;}

.footer{ color: #A694F0; }

/**
 * LOGIN FORM
 * */
body{ background-color: #EFF1FF; }
.auth-one-bg{ background-image: unset; background-color: #220F6B; }

/**
 * LEFT SIDEBAR
 * */
.menu-title, .navbar-menu .navbar-nav .nav-sm .nav-link{ color: #441FD6; }
.navbar-menu .navbar-nav .nav-link{ color: #441FD6; }
.navbar-menu .navbar-nav .nav-link:hover, .navbar-menu .navbar-nav .nav-link[data-bs-toggle=collapse][aria-expanded=true]{ color: #A694F0; }

@media screen and (min-width: 768px) {
    .item-shop-list .avatar-sm{ width: auto; height: auto; max-width: 200px; max-height: 200px; }
}

.select-multilicenza{ background-color: var(--vz-light-grey); border-bottom: 1px solid var(--vz-border-color); border-top: 1px solid var(--vz-border-color); }
.select-multilicenza label{ font-size:12px; margin-bottom:6px }

/* CART */

/**
 * CHECKOUT
 * */
.step-arrow-nav .nav .nav-link.active { background-color: rgba(var(--vz-primary-rgb),1); color: #EFF1FF; }

/**
 *  PRODUCT PAGE
 * */
.btn-product-action{
    bottom: 61px;
    padding: 20px calc(var(--vz-grid-gutter-width)* .5);
    position: absolute;
    right: 0;
    color: var(--vz-footer-color);
    left: var(--vz-vertical-menu-width);
    background-color: var(--vz-footer-bg);
}

.goverlay { background: rgba(0, 0, 0, 0.60) !important;}

.product-img-slider .product-nav-slider .nav-slide-item {
    padding: 0.20rem;
}


/* ORDINI */
.link_back{margin-bottom:15px}


/* SCHEDA PRODOTTO */
.category_height{max-height: 400px}
.variant_height{max-height: 220px}

.select2-container--default .select2-selection--multiple .select2-selection__choice {background-color: var(--vz-primary) !important; border: var(--vz-gray-900) !important;}
.select2-container--default .select2-results__option--selected {background-color: var(--vz-info-bg-subtle) !important; color: var(--vz-gray-900)!important;}
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {color: #fff!important;}
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove:hover {background-color: var(--vz-btn-active-bg) !important;}



/* CSS per TAB > Select */
.tab_panel_caratteristiche{
    float: left;
    width: 80%;
}

.tab_panel_caratteristiche input{
    border-radius: 4px 0px 0px 4px !important;
}

.tab_select{
    float: right;
    width: 20%;
    height: 39px;
    border: 1px solid #ced4da;
    border-left: none;
    border-radius: 0 4px 4px 0;
    margin: 0px;
}


.tab_select li {
    display: none;
    cursor: pointer;
    background-color: #eff1ff;
    line-height: 37px;
    font-size: 12px;
}

.tab_select li::after{
    position: absolute;
    top:12px;
}

.tab_select li:first-child a {
    padding-right: 10px;
}

.tab_select li:hover {background-color: #e0e3f8 !important;}

.tab_select li:first-child {
    display: block;
    border-top: 0px;
}

.tab_select {
    display: inline-block;
    padding: 0;
    position: relative;
}

.tab_select li:hover {
    background-color: #e0e3f8;
}

.tab_select li:first-child:hover {
    background-color: transparent;
}

.tab_select.open li {
    display: block;
}




/* Sidebar categorie */

.btn-toggle {
    display: inline-flex;
    align-items: center;
    padding: .25rem .5rem;
    background-color: transparent;
    border: 0;
}
.btn-toggle:hover,
.btn-toggle:focus {
    background-color: var(--vz-primary-bg-subtle);
}

.btn-toggle::before {
    width: 1.25em;
    line-height: 0;
    content: "\f0142";
    font-family: "Material Design Icons";
    transition: transform .35s ease;
    transform-origin: .5em 50%;
}

.btn-toggle[aria-expanded="true"] {
}
.btn-toggle[aria-expanded="true"]::before {
    transform: rotate(90deg);
}

.btn-toggle-nav a {
    display: inline-flex;
    padding: .1875rem .5rem;
    margin-top: .125rem;
    margin-left: 1.25rem;
    text-decoration: none;
}
.btn-toggle-nav a:hover,
.btn-toggle-nav a:focus {
    background-color: var(--vz-primary-bg-subtle);
}

.scrollarea {
    overflow-y: auto;
}

.spacer_filter{height: 100px}

.filter_button{
    position: fixed;
    z-index: 100;
    bottom: 10%;
}

.filter_button button{
    padding: 10px 8px 10px 8px;
    border-radius: 0px 4px 4px 0px
}

.button_filter_vediprodotti{
    width: 100%;
    bottom: 0px;
    left: 0px;
}



/* CARD SMALL */
.card-xs .card-header, .card-xs .card-body, .card-xs .card-footer{
    padding: 5px;
}


/**
 * MODICHE GIANMARIA
 */
.input-step.disabled{ opacity: .4; }
.choices{ margin-bottom: 0px !important; }

.product-thumbnail-slider .swiper-slide span.combination-title{ position: absolute; bottom: 20px; right: 20px; z-index: 2; padding: 5px; border-radius: 3px; background-color: #EFF1FF; }

.product-order-row img{ width: 80px; height: 80px; max-height: 100%; max-width: 100%; object-fit: cover; }
.swiper-button-next::after{ content: "next"!important; font-size: 20px !important; }
.swiper-button-prev::after{ content: "prev"!important; font-size: 20px !important; }

.profile-user .delete-image{ position: absolute; top: 0px; right: 0px; z-index: 2; background-color: #f06548; color: #fff; padding: 5px 10px; border-radius: 50%; display: flex; width: 30px; height: 30px; align-items: center; justify-content: center; }
.profile-user .delete-image:hover{ cursor: pointer; opacity: .9; transition: .2s; }
